Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.model
Interface VTStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VTStyleImpl

    public interface VTStyle

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Style'.

The following features are supported:

- `Selector`
- `Properties`

See Also:
  `VTTemplatePackage.getStyle()`

Method Summary
`org.eclipse.emf.common.util.EList<VTStyleProperty>` | `getProperties()` Returns the value of the 'Properties' containment reference list.
`VTStyleSelector` | `getSelector()` Returns the value of the 'Selector' containment reference.
`void` | `setSelector(VTStyleSelector value)` Sets the value of the '`Selector`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSelector

    VTStyleSelector getSelector()

  Returns the value of the 'Selector' containment reference.

  If the meaning of the 'Selector' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Selector' containment reference.
  See Also:
    `setSelector(VTStyleSelector)`, `VTTemplatePackage.getStyle_Selector()`

### setSelector

    void setSelector(VTStyleSelector value)

  Sets the value of the '`Selector`' containment reference.

  Parameters:
    `value` - the new value of the 'Selector' containment reference.
  See Also:
    `getSelector()`

### getProperties

    org.eclipse.emf.common.util.EList<VTStyleProperty> getProperties()

  Returns the value of the 'Properties' containment reference list. The list contents are of type `VTStyleProperty`.

  If the meaning of the 'Properties' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Properties' containment reference list.
  See Also:
    `VTTemplatePackage.getStyle_Properties()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.